
echo off

  rem   ROCK'N ROLL Installation Batch Program, Copyright 1991 by Rainbow Arts
  rem   -----------------------------------------------------------------------
  rem   This batch is call by _INSTL.BAT to do the actual copying to one large
  rem   disk or harddisk from a big sourcedisk.
  rem   For installation on 360k-disks _copy360.bat is used.
  rem   Parameters used:
  rem   %1 - source-drive
  rem   %2 - destination-drive
  rem   %3 - what to install: EGA, CGA, ALL
  rem   %4 - destination path
  rem   -----------------------------------------------------------------------

  rem   prepare destination disk
  rem   -----------------------------------------------------------------------
  %1_dskres

  if NOT "%4" == "" goto HARDDISK
  cls
  echo  ÿ
  echo  Please insert your blank disk in drive %2. if you are working with
  echo  one diskdrive, use this disk, whenever DOS prompts you for drive %2.
  echo  ÿ
  echo  Press any key when ready.
  %1_getkey

:HARDDISK

  %1_dskres
  rem   Check command line arguments
  rem   -----------------------------------------------------------------------
  if "%3" == "CGA" goto DO_CGA
  if "%3" == "EGA" goto DO_EGA
  if "%3" == "ALL" goto DO_ALL

  rem   To display help information: runs rockinst.bat
  rem   -----------------------------------------------------------------------

  if exist %1ROCKINST.BAT %1rockinst.bat -?
  cls
  echo  Please insert the Original Disk in drive %1 and press any key when ready
  %1_getkey
  %1rockinst.bat -?
  echo  %1ROCKINST.BAT not found, should be on the Original DIsk!
  goto EOBATCH


:DO_CGA
  echo  Installing %1Rock'n Roll - Hercules/CGA version to %2%4 ...
  echo  ÿ
  %1_bigcopy %1 %2%4 ROCKROLL.DAT ROCKROLL.EXE RRCGA.DAT RRLEV.DAT
  if errorlevel 1 goto EOBATCH
  goto DONE

:DO_EGA
  echo  Installing %1Rock'n Roll - EGA/VGA version to %2%4 ...
  echo  ÿ
  %1_bigcopy %1 %2%4 ROCKROLL.DAT ROCKROLL.EXE RREGA.DAT RRLEV.DAT
  if errorlevel 1 goto EOBATCH
  goto DONE

:DO_ALL
  echo  Installing %1Rock'n Roll - full version to %2%4 ...
  echo  ÿ
  %1_bigcopy %1 %2%4 ROCKROLL.DAT ROCKROLL.EXE RRCGA.DAT RRLEV.DAT RREGA.DAT
  if errorlevel 1 goto EOBATCH
  goto DONE

:DONE
  rem   Installation done
  rem   -----------------------------------------------------------------------

  cls
  echo  ÿ
  echo  ÿ
  echo  To run ROCK'N ROLL, type
  echo  ÿ
  echo  %2 [Enter]

  rem   Don't show CD if destination was a floppy disk
  rem   -----------------------------------------------------------------------

  if "%4" == "" goto NODIRARG

  echo  cd %4 [Enter]

:NODIRARG

  echo  ROCKROLL [Enter]
  echo  ÿ
  goto  EOBATCH


:EOBATCH

